package ecg.afib.detector;

/**
*
* @author Andrius Solosenko
*/


public class AFibEpisodeECG {

	public String AFibStartTime; //yyyy-MM-dd'T'HH:mm:ss'Z'
	public double AFibDuration;
	public int AFibAvgHeartRate;
	public double[] AFibEpisodeArrays;
	
	public AFibEpisodeECG() {
		this.AFibStartTime = "";
		this.AFibDuration = -1L;
		this.AFibAvgHeartRate = -1;
		this.AFibEpisodeArrays = new double[1];
	}
	
	public AFibEpisodeECG(String AFibStartTime, double AFibDuration, int AFibAvgHeartRate, double[] AFibEpisodeArrays) {
		this.AFibStartTime = AFibStartTime;
		this.AFibDuration = AFibDuration;
		this.AFibAvgHeartRate = AFibAvgHeartRate;
		this.AFibEpisodeArrays = AFibEpisodeArrays;
	}
	
	public String getAFibStartTime() {
		return AFibStartTime;
	}

	public void setAFibStartTime(String startTime) {
		this.AFibStartTime = startTime;
	}
	
	public double getAFibDuration() {
		return AFibDuration;
	}

	public void setAFibDuration(double AFibDuration) {
		this.AFibDuration = AFibDuration;
	}

	public int getAFibAvgHeartRate() {
		return AFibAvgHeartRate;
	}

	public void setAFibAvgHeartRate(int AFibAvgHeartRate) {
		this.AFibAvgHeartRate = AFibAvgHeartRate;
	}
		
	public double[] getAFibEpisodeArrays() {
		return AFibEpisodeArrays;
	}

	public void setAFibEpisodeArrays(double[] AFibEpisodeArrays) {
		this.AFibEpisodeArrays = AFibEpisodeArrays;
	}
	
}
