package ecg.afib.detector;

/**
*
* @author Andrius Solosenko
*/


public class SinusRhythmECG {

	public String sinusRhythmStartTime;
	public int sinusRhythmAvgHeartRate;
	public int sinusRhythmMaxHeartRate;
	public int sinusRhythmMinHeartRate;
	public double[] sinusRhythmArrays;
	private String ecgStartDate, ecgStopDate, ecgDuration;
	private double[] hrTrend;
	
	public SinusRhythmECG() {
		this.sinusRhythmStartTime = "";
		this.sinusRhythmAvgHeartRate = -1;
		this.sinusRhythmMaxHeartRate = -1;
		this.sinusRhythmMinHeartRate = -1;
		this.sinusRhythmArrays = new double[0];
		this.ecgStartDate = "";
		this.ecgStopDate = "";
		this.ecgDuration = "";
		this.hrTrend = new double[0];	
	}
	
	public SinusRhythmECG(String sinusRhythmStartTime, int sinusRhythmAvgHeartRate, int sinusRhythmMaxHeartRate, int sinusRhythmMinHeartRate, double[] sinusRhythmArrays, String ecgStartDate, String ecgStopDate, String ecgDuration, double[] hrTrend) {
		this.sinusRhythmStartTime = sinusRhythmStartTime;
		this.sinusRhythmAvgHeartRate = sinusRhythmAvgHeartRate;
		this.sinusRhythmMaxHeartRate = sinusRhythmMaxHeartRate;
		this.sinusRhythmMinHeartRate = sinusRhythmMinHeartRate;
		this.sinusRhythmArrays = sinusRhythmArrays;
		this.ecgStartDate = ecgStartDate;
		this.ecgStopDate = ecgStopDate;
		this.ecgDuration = ecgDuration;
		this.hrTrend = hrTrend;
	}
	
	
	public String getSinusRhythmStartTime() {
		return sinusRhythmStartTime;
	}

	public void setSinusRhythmStartTime(String SinusRhythmStartTime) {
		this.sinusRhythmStartTime = SinusRhythmStartTime;
	}
	
	public int getSinusRhythmAvgHeartRate() {
		return sinusRhythmAvgHeartRate;
	}

	public void setSinusRhythmAvgHeartRate(int sinusRhythmAvgHeartRate) {
		this.sinusRhythmAvgHeartRate = sinusRhythmAvgHeartRate;
	}
	
	public int getSinusRhythmMaxHeartRate() {
		return sinusRhythmMaxHeartRate;
	}

	public void setSinusRhythmMaxHeartRate(int sinusRhythmMaxHeartRate) {
		this.sinusRhythmMaxHeartRate = sinusRhythmAvgHeartRate;
	}
	
	public int getSinusRhythmMinHeartRate() {
		return sinusRhythmMinHeartRate;
	}

	public void setSinusRhythmMinHeartRate(int sinusRhythmMinHeartRate) {
		this.sinusRhythmMinHeartRate = sinusRhythmMinHeartRate;
	}
	
	public double[] getSinusRhythmArrays() {
		return sinusRhythmArrays;
	}

	public void setSinusRhythmArrays(double[] sinusRhythmArrays) {
		this.sinusRhythmArrays = sinusRhythmArrays;
	}
	
	public String getEcgDuration() {
		return ecgDuration;
	}

	public void setEcgDuration(String ecgDuration) {
		this.ecgDuration = ecgDuration;
	}
	
	public String getEcgStartDate() {
		return ecgStartDate;
	}
	
	public void setEcgStartDate(String ecgStartDate) {
		this.ecgStartDate = ecgStartDate;
	}
	
	public String getEcgStopDate() {
		return ecgStopDate;
	}
	
	public void setEcgStopDate(String ecgStopDate) {
		this.ecgStopDate = ecgStopDate;
	}

	public double[] getHRtrend() {
		return hrTrend;
	}
	
	public void setHRtrend(double[] hrTrend) {
		this.hrTrend = hrTrend;
	}

}
