package ecg.dsp.tools;

/**
*
* @author Andrius Solosenko
*/


public class StatisticalUtilities {

    boolean flag_diff = true;
    double temp_input_diff;

    public double diff(double input) {

        if (flag_diff) {
            temp_input_diff = input;
            //temp_input_diff = 0;
            flag_diff  = false;
        }

        //float output = temp_input_diff - input;
        double output = input - temp_input_diff;
        temp_input_diff = input;

        return output;
    }


    boolean flag_div = true;
    double temp_input_div;

    public double div(double input) {

        if (flag_div ) {
            temp_input_div = input;
            //temp_input_div = 0;
            flag_div  = false;
        }

        //float output = temp_input_div / input;
        double output = input / temp_input_div;
        temp_input_div = input;

        return output;
    }


    int n;
    double mean;
    double M2;
    double delta;
    double var;
    double std;
    double[] out;
    boolean flag_stat = true;

    public double[] MeanVarStd(double[] input) {

        if (flag_stat) {
            n = 0;
            mean = 0;
            M2 = 0;
            delta = 0;
            var = 0;
            std = 0;
            out = new double[3];
            flag_stat = false;
        }

        M2 = 0;

        for (n = 1; n < input.length + 1; n++) {

            delta = input[n - 1] - mean;
            mean = mean + delta / n;
            M2 = M2 + delta * (input[n - 1] - mean);
        }

        var = M2/(n - 2);
        std = Math.sqrt(M2 / (n - 2));

        out[0] = mean;
        out[1] = var;
        out[2] = std;

        if (n < 2) {
            out[0] = 0;
            out[1] = 0;
            out[2] = 0;
            return out;
        }
        else {
            return out;
        }
    }

}
