/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package sqlite.dataSources;

import com.google.gson.JsonObject;
import java.io.Serializable;
import java.sql.ResultSet;
import java.sql.SQLException;

/**
 *
 * @author drosatosgr
 */
public class Category{
    
    public Integer _id;
    public String name;
    public String description;
    public Integer parent_id;
    public Integer forUploading;
    
    public Category(){
        _id = null;
        name = null;
        description = null;
        parent_id = null;
        forUploading = null;
    }
    
    public Category(Integer ID, String name, String desc, Integer parentID, Integer forUploading){
        this._id = ID;
        this.name = name;
        this.description = desc;
        this.parent_id = parentID;
        this.forUploading = forUploading;
    }
    
    public Category(ResultSet rs) throws SQLException{
        this._id = rs.getInt(1);
        this.name = rs.getString(2);
        this.description = rs.getString(3);
        this.parent_id = rs.getInt(4);
        this.forUploading = rs.getInt(5);
    }
    
    public String toString(){
        return _id+" , "+name+" , "+description+" , "+parent_id + " , "+forUploading;
    }
           
}
